Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

API Namespace Reference

## Detailed Description

File containing the ezpContent class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the ezpContentClassCriteria class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

This class allows for configuration of a content class based criteria

Depth criteria

File containing the ezpContentFieldCriteria class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

This class is used to instantiate and manipulate a field value content criteria.

This class allows for configuration of an offset/limit based criteria

File containing the ezpContentLocationCriteria class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

This class allows for configuration of a location based criteria

Sorting criteria

Content list criteria mechanism.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

This class is used to instantiate and manipulate content listing criterias. Each returned criteria will have its own particular filtering methods, as seen in the example below

Example: `$criteria = new ezpContentCriteria(); $criteria->accept[] = ezpContentCriteria::location->subtree( ezpContentLocation::fromUrl( ‘/articles’ ) ); $criteria->accept[] = ezpContentCriteria::field( 'title' )->like( 'foo' ); $criteria->accept[] = ezpContentCriteria::field( 'summary' )->startsWith( 'abc' ); $criteria->deny[] = ezpContentCriteria::field( 'title' )->startsWith( 'excludedString' ); $articles = ezpRepository::query( $criteria )`

File containing the ezpContentCriteriaSet class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

This class handles a list of content query criteria

File containing the ezpContentField class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

This class handles content fields. A content field currently wraps around an eZContentObjectAttribute

File containing the ezpContentFieldSet class

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

Allows for reading/writing of content fields (attributes) through an array like interface. This class is aimed at being used through an ezpContent object, and usage examples can be found there.

File containing the ezpContentList class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

This class lets you browse a previously fetched content list, for instance using ezpContentRepository::query() It is more or less a ResultSet from a database perspective.

File containing the ezpContentLocation class

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

This class is used to manipulate a specific content location. It currently acts among others as a wrapper around eZContentObjectTreeNode, and therefore exposes some of

File containing the ezpContentLocationSet class

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

This class represents the locations for a piece of content

File containing the ezpContentRepository class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

This class handles querying of content repository

File containing the ezpContentCriteriaInterface interface.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

This interface is the base one when it comes to implementing content query criteria

File containing the ezpLocation class

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

This class is used to manipulate locations

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.